define({"0":{i:0.00358522554091008,u:"../Content/Tutorial/Introduction.htm",a:"Connectors provide the connection between IDOL and the repositories that your organization uses for storing and organizing information. You can use connectors to keep your IDOL index up-to-date with the information in a repository (using the synchronize fetch action) and to retrieve files, or lists ...",t:"Introduction"},"1":{i:0.000537797143980583,u:"../Content/ConnectorLib_Tutorial.htm",a:"ConnectorLib Java Tutorial This section shows how to use the ConnectorLib Java SDK to build a connector.",t:"ConnectorLib Java Tutorial"},"2":{i:0.00127682118480408,u:"../Content/Tutorial/Implement.htm",a:"Implement a New Connector This section describes how to implement a new connector.",t:"Implement a New Connector"},"3":{i:0.000537797143980583,u:"../Content/Tutorial/Extend_ConnectorBase.htm",a:"To create a new connector you must create a class that extends the com.autonomy.connector.ConnectorBase class. For example: package myconnector;\nimport com.autonomy.connector.*;\n\npublic class HelloWorldConnector extends ConnectorBase\n{\n    public HelloWorldConnector(Config config, Log log)\n    {\n    ...",t:"Extend ConnectorBase"},"4":{i:0.000537797143980583,u:"../Content/Tutorial/Build_Connector.htm",a:"The connector code can be built and archived into the required JAR file using the following command line commands: javac -cp JavaConnector.jar -d build src\\myconnector\\*.java jar cf dist\\myconnector.jar -C build . The javac and jar executables can then be found in the Java JDK \u0027bin\u0027 directory (on ...",t:"Build the Connector"},"5":{i:0.00145205343418045,u:"../Content/Tutorial/RunConnector/Run_Introduction.htm",a:"Run the Connector This section describes how to run a new connector.",t:"Run the Connector"},"6":{i:0.000690173192347228,u:"../Content/Tutorial/RunConnector/Required_Files.htm",a:"To run the connector, you must place the following files in a directory (from now on called the connector directory). All of the files, except your connector  JAR , are provided with the SDK. Your connector  JAR , and any dependencies connectorLibJava.cfg connectorLibJava.exe JavaConnector.jar ...",t:"Required Files"},"7":{i:0.000690173192347228,u:"../Content/Tutorial/RunConnector/Configure.htm",a:"Before running the connector you must modify connectorLibJava.cfg. In the [Connector] section of the configuration file, set the following parameters. These parameters tell ConnectorLib Java how to locate your connector implementation: JavaConnectorClass The full name of the Java class of your ...",t:"Configure the Connector"},"8":{i:0.000537797143980583,u:"../Content/Tutorial/RunConnector/RunConnector.htm",a:"After you have collected the  required files  and  configured the connector , you can run the connector by starting connectorLibJava.exe. View Log Messages Any log messages produced by your connector implementation appear in the appropriate log file.  For example, in the HelloWorld connector ...",t:"Run the Connector"},"9":{i:0.000537797143980583,u:"../Content/Tutorial/RunConnector/Troubleshooting.htm",a:"If you run the connector and find that it stops immediately, check the logs to see if any errors occurred at the time you tried to start it. You can also try running the connector from the command prompt to see if any messages are output to the console.  The following table provides the solutions ...",t:"Troubleshoot Errors"},"10":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Documents_Introduction.htm",a:"Create and Ingest Documents This section describes how to create and ingest Documents using ConnectorLib Java.",t:"Create and Ingest Documents"},"11":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Documents_Intro.htm",a:"Much of what a connector does involves dealing with documents in some way. A document represents a single document in IDOL and has: A unique reference to identify it. A unique identifier for finding it in the repository. A set of key-value pairs for storing metadata. Optionally, a file storing the ...",t:"Introduction"},"12":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Create_a_Document.htm",a:"With ConnectorLib Java, you can create a new document using the com.autonomy.connector.DocInfo constructors, for example:        DocInfo docInfo = new DocInfo(task.getTaskConfig(),\n          \"http://www.example.com/testDocument.doc\",\n          \"testDocument.doc\",\n          true); The arguments for ...",t:"Create a Document"},"13":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Add_Metadata.htm",a:"Often repositories store metadata about the files they contain, such as who created a file and when it was last modified. Metadata might also include repository-specific information. For example, a repository storing information about products for sale might include a price and a description for ...",t:"Add Metadata"},"14":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Metadata_only_Documents.htm",a:"To create a document that has metadata but no file, use a different overload of the com.autonomy.connector.DocInfo constructor:        DocInfo doc = new DocInfo(task.getTaskConfig(),\n               \"http://www.example.com/metadataOnly\"); You might create a metadata-only document when items in a ...",t:"Create Metadata-only Documents"},"15":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Identifiers.htm",a:"Although a document\u0027s reference should identify a unique file or item  in the repository, it might not be sufficient for the connector to retrieve it again efficiently (this might be necessary, for example, in response to a collect request). You can therefore add additional information to a ...",t:"Create Identifiers"},"16":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Ingest_a_Document.htm",a:"A connector\u0027s synchronize action typically involves retrieving files and associated metadata from a repository, creating documents from those files, and sending the documents  to the ingestion target, configured in the [Ingestion] section of the configuration file. Usually the target is a CFS, which ...",t:"Ingest a Document"},"17":{i:0.00144062533367559,u:"../Content/Tutorial/Documents/Ingest_Add.htm",a:"The Ingest Add method adds a new document to the ingestion target. You can create and ingest a document  like this:        DocInfo doc = new DocInfo(\n          task.getTaskConfig(),\n          \"http://www.example.com/testDocument.doc\",\n          \"testDocument.doc\",\n          true);\n            \n      ...",t:"Ingest Add"},"18":{i:0.00138519905556103,u:"../Content/Tutorial/Documents/Ingest_Remove.htm",a:"The Remove method deletes a document that has previously been ingested. Only the reference is required to do this:        task.getIngester().remove(\"http://www.example.com/testDocument.doc\"); The synchronize action typically removes documents when the connector detects that a document has been ...",t:"Ingest Remove"},"19":{i:0.000690173192347228,u:"../Content/Tutorial/Documents/Ingest_Replace.htm",a:"The Replace method is short-hand for performing a  Remove  followed by an  Add. You can use this method when a document in a repository has been changed.        DocInfo doc = new DocInfo(\n          task.getTaskConfig(),\n          \"http://www.example.com/testDocument.doc\",\n          ...",t:"Ingest Replace"},"20":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Ingest_Update.htm",a:"If a document has been ingested previously, and the metadata for the document has changed but the file content has not, you can use the Ingest Update method. This instructs the target to update the metadata for an existing document, but to leave the content intact. The following example updates just ...",t:"Ingest Update"},"21":{i:0.000537797143980583,u:"../Content/Tutorial/Documents/Ingest_Result_Handlers.htm",a:"When you ingest a document using the Add, Replace, Remove or Update methods, the ingest command is placed in a queue and the method returns immediately. ConnectorLib Java takes care of batching, sending the commands, and dealing with any transitory problems communicating with the target. As a ...",t:"Ingest Result Handlers"},"22":{i:0.00177375859763177,u:"../Content/Tutorial/CompleteSynchronize/Introduction.htm",a:"This section demonstrates code for a connector\u0027s synchronize action. During a complete synchronize, a connector ingests every document in a repository, regardless of whether the documents have changed since the last synchronize. \n            The sample uses a directory on the file system to ...",t:"A Complete Synchronize Action"},"23":{i:0.00139834138047567,u:"../Content/Tutorial/CompleteSynchronize/SampleCode_Java.htm",a:"The following code sample demonstrates a complete synchronize action. The sample uses a directory on the file system to represent a repository. package myconnector;\n\nimport com.autonomy.connector.*;\nimport java.io.File;\n\npublic class SimpleSynchronize extends ConnectorBase\n{\n    public static class ...",t:"Sample Code for the Synchronize Action"},"24":{i:0.000537797143980583,u:"../Content/Tutorial/CompleteSynchronize/RunConnector.htm",a:"You can set up the connector using the instructions in  Run the Connector . SimpleSynchronize.jar must be in the connector directory, and you must set the following parameters in connectorLibJava.cfg:        JavaConnectorClass=myconnector.SimpleSynchronize This example connector uses  a folder on ...",t:"Set up and Run the Connector"},"25":{i:0.000537797143980583,u:"../Content/Tutorial/CompleteSynchronize/Stopping.htm",a:"A connector can be requested to stop at any time.  For example,  the connector might be running as a service that is stopped, it might receive an action=stop command to its service port, or a user might press CTRL+C in the connector’s console window.  The  sample code  calls the stop() method on the ...",t:"Handle Stop Requests"},"26":{i:0.000949212887061055,u:"../Content/Tutorial/CompleteSynchronize/Full_Incremental_Sync.htm",a:"The synchronize action demonstrated in the  sample code  acts the same way every time it is called: the connector ingests every  file in the repository . This is called a full synchronize, and a connector would typically do this the first time the synchronize action is used. When the synchronize ...",t:"Full and Incremental Synchronize"},"27":{i:0.00134291510236112,u:"../Content/Tutorial/Datastore/Datastore_Introduction.htm",a:"The Datastore This section describes how to use the Datastore.",t:"The Datastore"},"28":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Datastore_Overview.htm",a:"The datastore is a feature of ConnectorLib Java that allows a connector to store structured information in a file.  Each datastore file contains SQL-like tables with defined columns. You can use the features provided by ConnectorLib Java to create new tables in the datastore, store and retrieve ...",t:"Introduction"},"29":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Create_a_DataStoreFile.htm",a:"The datastore features are all contained within the com.autonomy.connector namespace. The samples in this section assume there is  an import  directive for this namespace at the beginning of the file:        import com.autonomy.connector.*; You can access a datastore for the synchronize action like ...",t:"Create a Datastore"},"30":{i:0.00145205343418045,u:"../Content/Tutorial/Datastore/Create_tables.htm",a:"The connector described in   A Complete Synchronize Action  always ingests every file, even those that have not changed since the last synchronize. You could improve this connector by implementing  incremental synchronize . To do this, you can create a Datastore table to store the modified date of ...",t:"Create Tables"},"31":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Insert_Records.htm",a:"After you have created a datastore table, you can add records to it:        DatastoreRecord newRecord = new DatastoreRecord();\n       newRecord.setString(\"Reference\", \"C:\\\\data\\\\file1.txt\");\n       newRecord.setString(\"LastModified\", \"2013/07/30 14:36:00\");\n\n       ...",t:"Insert Records"},"32":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Processing_the_Queue.htm",a:"When you insert or update records in a datastore table, the changes are not made immediately. For efficiency reasons they are queued and then committed in batches. To make sure all changes have been committed before you perform a query, you can instruct the datastore to process the queue:        ...",t:"Process the Queue"},"33":{i:0.00206929351747782,u:"../Content/Tutorial/Datastore/Retrieve_a_Record.htm",a:"The following example shows how to retrieve (or \"select\") a record by reference:        DatastoreRecord filter = new DatastoreRecord();\n       filter.setString(\"Reference\", \"C:\\\\data\\\\file1.txt\");\n       DatastoreRecord selected = datastore.recordSelectOne(\n                                     ...",t:"Retrieve a Record"},"34":{i:0.00180175747187082,u:"../Content/Tutorial/Datastore/Filters_Java.htm",a:"To select records in a table, you must use Filters. For information about selecting records, and for examples of Filters being used, see  Retrieve a Record .  This section describes how to create Filters. Equality Filters Filters in ConnectorLib Java are specified in the form of a DatastoreRecord. A ...",t:"Filters"},"35":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Update_Records.htm",a:"To update records in a table, use the  recordUpdate method of the Datastore class. This method updates all records that match a filter.  You can update all of the columns for the record, or just some of them. In  Create Tables , a table was introduced that stored a reference and a last modified ...",t:"Update Records"},"36":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Remove_Records.htm",a:"You can remove records with  the recordRemove method of the Datastore class.  This method removes all records that match a  filter . For example, to remove all records where the reference is equal to C:\\data\\file1.txt:        DatastoreRecord filter = new DatastoreRecord();\n       ...",t:"Remove Records"},"37":{i:0.000949212887061055,u:"../Content/Tutorial/Datastore/Indexes.htm",a:"If your connector frequently uses  filters  based on the value of one column, you can significantly increase the speed of queries by creating an index. To create an index for the Reference column of a table, use the following code:        datastore.createIndex(\"Documents\", new String[] { ...",t:"Indexes"},"38":{i:0.000537797143980583,u:"../Content/Tutorial/Datastore/Upgrade_Tables.htm",a:"You might add a new feature  to your connector that requires a change in the structure of its datastore tables.  If the connector has already been used in a production environment there might be datastore files with the old structure that have been populated with information.  It might be desirable ...",t:"Upgrade Tables"},"39":{i:0.00141776913266586,u:"../Content/Tutorial/IncrementalSynchronize/Make_Synchronize_Incremental.htm",a:"This section shows how the connector introduced in  A Complete Synchronize Action  can be updated to make the synchronize action incremental, by using the datastore functionality described in  The Datastore . An incremental synchronize is more efficient than running a full synchronize every time you ...",t:"Make an Incremental Synchronize Action"},"40":{i:0.000537797143980583,u:"../Content/Tutorial/IncrementalSynchronize/Incremental_Synchronize.htm",a:"The incremental synchronize implemented by the sample code in  IncrementalSynchronize.java works by maintaining the following datastore table: Reference LastModified PendingAction Seen ... ... ... ... The connector adds one row to the table for every file that it finds in the repository.  The full ...",t:"Incremental Synchronize"},"41":{i:0.000537797143980583,u:"../Content/Tutorial/IncrementalSynchronize/Incremental_Synchronize_Example.htm",a:"This section describes the connector in operation. Cycle 1 To begin with, the datastore table is empty. The “data” directory (the repository from which the sample connector retrieves data) contains three files:        File1.txt\n       File2.txt\n       File3.txt When the synchronize action runs, the ...",t:"Incremental Synchronize Example"},"42":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_Intro.htm",a:"So far this document has focused on implementing the synchronize fetch action, but a connector can implement other fetch actions in addition to, or instead of, synchronize.  We have already seen how to implement synchronize by overriding the Synchronize method in ConnectorBase. ConnectorBase also ...",t:"Implement Other Actions"},"43":{i:0.000994925289080518,u:"../Content/Tutorial/Actions_RetrieveDocuments.htm",a:"The following table lists the fetch actions that retrieve information from a repository. Action Description Method to override action=fetch\u0026fetchaction=synchronize Sends ingest commands to the ingest target to bring it up to date with what is contained the repository. Synchronize ...",t:"Retrieve Documents from a Repository"},"44":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_UpdateRepository.htm",a:"The following table lists fetch actions that update documents in a repository. Action Description Method to override /action=fetch\u0026fetchaction=Delete Delete specified documents from the repository. Remove /action=fetch\u0026fetchaction=Insert Insert a document or documents into a repository. Insert ...",t:"Update Documents in a Repository"},"45":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_Identifiers.htm",a:"\n            The identifiers fetch action provides information that can be used to browse a repository. It retrieves a list of documents that are present in the repository and generates an identifier for each document. Action Description Method to override /action=fetch\u0026fetchaction=Identifiers ...",t:"Browse a Repository"},"46":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_Stub.htm",a:"\n            The stub fetch action inserts a stub into a repository. A stub is a link to a document in another repository. An application might use your connector to insert a stub when a document is moved to another repository or is deleted. The stub can point to the new location, or in the case ...",t:"Insert a Stub into a Repository"},"47":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_RetrieveGroups.htm",a:"The SynchronizeGroups fetch action retrieves group information from a repository. This is discussed in more detail in  Mapped Security . Action Description Method to override action=fetch\u0026fetchaction=SynchronizeGroups Updates a group server with user, group and group membership information from the ...",t:"Retrieve Group Information from a Repository"},"48":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_GetUri.htm",a:"A connector\u0027s GetUri action takes a document identifier and returns a URI for the document in the repository. The ConnectorBase class defines the entry point for this action:        public void getUri(GetUriTask task) throws Throwable To implement the GetUri action, override the GetUri function in ...",t:"Retrieve the URI of a Document"},"49":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_CustomFetch.htm",a:"You can implement custom fetch actions in a ConnectorLib Java connector. Action Description Method to override action=Fetch\u0026FetchAction=MyAction Perform custom fetch actions on a repository. customFetch To implement a custom fetch action, override the customFetch method on the ConnectorBase ...",t:"Implement Custom Fetch Actions"},"50":{i:0.000537797143980583,u:"../Content/Tutorial/Actions_Custom.htm",a:"You can implement custom actions in a ConnectorLib Java connector. Action Description Method to override action=MyAction Perform custom actions on a repository. Custom To implement custom actions, the file Autonomy_JNI.dll (libAutonomy_JNI.so on non-Windows platforms) is required. This is provided ...",t:"Implement Custom Actions"},"51":{i:0.000994925289080518,u:"../Content/Tutorial/Security/Security_Introduction.htm",a:"Documents in a repository can often be viewed only by authenticated users, and different users are allowed to view different documents.  In this case you might want any output from IDOL (for example, search results) to  show only documents that a user has permission to see.  This can be achieved by ...",t:"Mapped Security"},"52":{i:0.000819693039704142,u:"../Content/Tutorial/Security/AccessControlLists.htm",a:"An Access Control List (ACL) is a string of text that specifies who is allowed to view a document.  Connectors can add an ACL to a document field, usually AUTONOMYMETADATA, for every document that is ingested. This section describes an “NT Style” ACL, which is used in conjunction with the  IDOL ...",t:"Access Control Lists"},"53":{i:0.00151643312732772,u:"../Content/Tutorial/Security/Security_Groups.htm",a:"ACLs are often expressed in terms of users and groups. To determine whether a user can access a document, IDOL must know which security groups a user belongs to.  IDOL requests this information from a group server such as OmniGroupServer. The group server can retrieve the group membership ...",t:"Groups"},"54":{i:0.000819693039704142,u:"../Content/Tutorial/Security/SynchronizeGroups.htm",a:"As described in  Groups , it is sometimes necessary for a connector to provide group membership information to a group server. OmniGroupServer might be configured to store group information from a repository with the following settings: ...",t:"SynchronizeGroups"},"55":{i:0.000537797143980583,u:"../Content/Tutorial/ConnectorLib_Features.htm",a:"Logging, Configuration, and Temporary Files This section describes further useful features of ConnectorLib Java.",t:"Logging, Configuration, and Temporary Files"},"56":{i:0.000537797143980583,u:"../Content/Tutorial/Logging.htm",a:" All of the fetch action methods you can override in ConnectorBase are passed a task object with a Log member - accessed through getLog().  This allows you to log messages at a variety of levels:        task.getLog().writeln(Log.ALWAYS, \n                 \"This message will always be logged\");\n       ...",t:"Write Messages to the Log"},"57":{i:0.000537797143980583,u:"../Content/Tutorial/ReadConfiguration.htm",a:" All of the fetch action methods you can override in ConnectorBase are passed a task object with a TaskConfig member - accessed through getTaskConfig(). You can use this property to read configuration settings from the task\u0027s  configuration.  The task configuration returned by the methods of the ...",t:"Read Configuration Parameters"},"58":{i:0.000537797143980583,u:"../Content/Tutorial/CreateTempFiles.htm",a:"Your connector might need to create temporary files.  The task objects have a  getTempDirectory() method  that provides the path of the directory to use for storing temporary files. The Utilities class in the com.autonomy.connector namespace provides a convenient method that you can use when ...",t:"Create Temporary Files"},"59":{i:0.000537797143980583,u:"../Content/Connector_Reference.htm",a:"Connector Reference This section describes the actions, configuration parameters, and Lua methods that you can use with any connector developed using the ConnectorLib Java SDK.",t:"Connector Reference"},"60":{i:0.000537797143980583,u:"../Content/Actions/Actions.htm",a:" Actions This section describes the actions that you can use with your connector. Introduction to Actions Connector Actions Fetch Actions",t:" Actions"},"61":{i:0.000690173192347228,u:"../Content/Actions/_ACI_Actions_Intro.htm",a:"Actions allow you to query an ACI server  and instruct it to perform a variety of operations. All actions must be sent to the server  Port . The configured authorization roles determine which users can send which actions to the port. See  Authorization Roles Configuration Parameters . The general ...",t:"Introduction to Actions"},"62":{i:0.000537797143980583,u:"../Content/Actions/Synchronous_and_Asynchro.htm",a:"Some actions are synchronous and others are asynchronous. A connector does not respond to a synchronous action until it has completed the request. The result of the action is in the response to the request. A connector responds to an asynchronous action immediately. The request is added to a queue ...",t:"Synchronous and Asynchronous Actions"},"63":{i:0.000690173192347228,u:"../Content/Actions/Connector/_CN_Actions_Connector.htm",a:"This section describes the actions that are supported by the connector. The connector also supports the Fetch action. For information about using the Fetch action, see  Fetch Actions . The sample HTTP requests in this section are split across multiple lines for readability. When you use these ...",t:"Connector Actions"},"64":{i:0.000537797143980583,u:"../Content/Actions/General/_ACI_Admin.htm",a:"Opens the IDOL Admin interface for the component that you use to call the action. This interface allows you to view data for the component and provides some administrative actions. To use this action, you must have an admin.dat file available for the component. You can configure the location of this ...",t:"Admin"},"65":{i:0.00131055090536771,u:"../Content/Actions/General/_ACI_BackupServer.htm",a:"The BackupServer action creates a backup that can be used to restore the server\u0027s state. The backup includes: details of actions that have been queued, are running, and have finished. a copy of the configuration file. information about the files that the connector has retrieved. ConnectorLib Java ...",t:"BackupServer"},"66":{i:0.000537797143980583,u:"../Content/Actions/Connector/_CN_GetUri.htm",a:"\n            This action accepts a document identifier and returns a URI to the document in the repository. /action=GetUri\u0026Identifier=...\n             [\u0026Redirect=true] Type: Synchronous Parameter Name Description Required Identifier The identifier of a document. The connector returns a URI that can ...",t:"GetUri"},"67":{i:0.00358522554091008,u:"../Content/Actions/Connector/_CN_PauseSchedules.htm",a:"Temporarily stops the connector starting scheduled tasks. Any tasks that are currently running are allowed to finish but the connector will not start tasks that are scheduled to start.  Type: Synchronous Parameter Name Description Required Sections A comma-separated list of task schedules to pause. ...",t:"PauseSchedules"},"68":{i:0.000537797143980583,u:"../Content/Actions/Connector/_CN_PurgeDatastore.htm",a:"This action instructs the connector to delete the datastore for a fetch task. If any synchronize actions are running, the connector waits for them to finish before deleting the datastore. You might want to delete the datastore for a fetch task if you have modified the task configuration and you need ...",t:"PurgeDatastore"},"69":{i:0.0217736376215757,u:"../Content/Actions/General/_ACI_QueueInfo.htm",a:"The QueueInfo action provides information about the asynchronous actions that the ACI server has queued, is processing, or has finished. You can use the QueueInfo action to: pause and resume processing the queued actions cancel a queued action change the priority of a queued action retrieve the ...",t:"QueueInfo"},"70":{i:0.00213894848732907,u:"../Content/Actions/General/_ACI_RestoreServer.htm",a:"The RestoreServer action restores a server’s state from a backup created by the BackupServer action. After using the RestoreServer action, you must restart the server. Type: Synchronous Parameter Name Description ActionID A string to use to identify an ACI action. Filename The path of the backup ...",t:"RestoreServer"},"71":{i:0.00358522554091008,u:"../Content/Actions/Connector/_CN_ResumeSchedules.htm",a:"Instructs the connector to resume starting scheduled tasks, for task schedules that have been paused by the action   PauseSchedules . Type: Synchronous Parameter Name Description Required Sections A comma-separated list of task schedules that you want to resume.  Specify the names of the tasks as ...",t:"ResumeSchedules"},"72":{i:0.000537797143980583,u:"../Content/Actions/Connector/_CN_StopFetch.htm",a:"This action requests all active asynchronous Fetch actions or a particular asynchronous Fetch action to stop. http://host:port/action=StopFetch\n\t\t          [\u0026Token=Fetch_Action_Token] Type: Synchronous Parameter Name Description Required Token The token of the asynchronous Fetch action to request to ...",t:"StopFetch"},"73":{i:0.000537797143980583,u:"../Content/Actions/Connector/_CN_TaskList.htm",a:"This action returns a list of the fetch tasks that are configured in the connector\u0027s configuration file, and fetch tasks that the connector ran as a result of receiving a fetch action with a configuration included in the config action parameter. The connector returns (if applicable): The name of the ...",t:"TaskList"},"74":{i:0.000537797143980583,u:"../Content/Actions/Connector/_CN_View.htm",a:"The View action retrieves a single document and returns it.\n         http://host:port/action=View\n                  [\u0026Config=\u003cBase64_Config\u003e]\n                   \u0026Identifier=Identifier\n                  [\u0026NoACI=True/False]\n                  [\u0026Override_Config_Parameters=...] Type: Synchronous ...",t:"View"},"75":{i:0.00127682118480408,u:"../Content/Actions/Fetch/_CN_Action_Fetch.htm",a:"This section describes the fetch actions that are supported by the connector. All of the actions in this section are available through action=Fetch. The sample HTTP requests in this section are split across multiple lines for readability. When using these requests, the whole request must be on one ...",t:"Fetch Actions"},});